class MediatorMain {
    public static void main(String[] args) {
        System.out.println("Wzorzc Mediator, części pojazdu");
        var engineSensor = new Sensor("silnik");
        var breakSensor = new Sensor("hamulec");

        engineSensor.emitMessage("włącz");
        breakSensor.emitMessage("inicjuj");

    }
}
